Package ghidra.app.script

# Class MultipleOptionsDialog<T>

java.lang.Object
docking.DialogComponentProvider
ghidra.app.script.MultipleOptionsDialog<T>

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class MultipleOptionsDialog<T> extends DialogComponentProvider

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MultipleOptionsDialog(String title, String message, List<T> choices, boolean includeSelectAllBox)`
  `protected`
  `MultipleOptionsDialog(String title, String message, List<T> choices, List<String> stringRepresentationOfChoices, boolean includeSelectAllBox)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `cancelCallback()`
  The callback method for when the "Cancel" button is pressed.
  `protected List<T>`
  `getUserChoices()`
  `protected boolean`
  `isCanceled()`
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `protected void`
  `setup(String message)`
  `void`
  `show()`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, createSharedActions, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultipleOptionsDialog

    protected MultipleOptionsDialog(String title, String message, List<T> choices, boolean includeSelectAllBox)

  - ### MultipleOptionsDialog

    protected MultipleOptionsDialog(String title, String message, List<T> choices, List<String> stringRepresentationOfChoices, boolean includeSelectAllBox)

- ## Method Details

  - ### setup

    protected void setup(String message)

  - ### show

    public void show()

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### cancelCallback

    protected void cancelCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "Cancel" button is pressed. The default behavior is to call setVisible(false) and dispose() on the dialog.
    Overrides:
      `cancelCallback` in class `DialogComponentProvider`

  - ### isCanceled

    protected boolean isCanceled()

  - ### getUserChoices

    protected List<T> getUserChoices()